Loading...
Searching...
No Matches
ON_wString Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_string.h>`

Inheritance diagram for ON_wString:

## Public Member Functions

| ON_wString ()
| ON_wString (const ON_wString &)
| ON_wString (const ON_String &src)
| ON_wString (const char *src)
| ON_wString (const char *src, int)
| ON_wString (char, int=1)
| ON_wString (const unsigned char *src)
| ON_wString (const unsigned char *src, int)
| ON_wString (unsigned char, int=1)
| ON_wString (const wchar_t *)
| ON_wString (const wchar_t *, int)
| ON_wString (wchar_t, int=1)
void | Create ()
void | Destroy ()
void | EmergencyDestroy ()
void | EnableReferenceCounting (bool bEnable)
bool | IsReferenceCounted () const
int | Length () const
bool | IsEmpty () const
void | Empty ()
wchar_t & | operator[] (int)
wchar_t | operator[] (int) const
wchar_t | GetAt (int) const
void | SetAt (int, char)
void | SetAt (int, unsigned char)
void | SetAt (int, wchar_t)
| operator const wchar_t * () const
const ON_wString & | operator= (const ON_wString &)
const ON_wString & | operator= (const ON_String &src)
const ON_wString & | operator= (char)
const ON_wString & | operator= (const char *src)
const ON_wString & | operator= (unsigned char)
const ON_wString & | operator= (const unsigned char *src)
const ON_wString & | operator= (wchar_t)
const ON_wString & | operator= (const wchar_t *)
void | Append (const char *sUTF8, int)
void | Append (const unsigned char *sUTF8, int)
void | Append (const wchar_t *, int)
const ON_wString & | operator+= (const ON_wString &)
const ON_wString & | operator+= (const ON_String &sUTF8)
const ON_wString & | operator+= (char)
const ON_wString & | operator+= (unsigned char)
const ON_wString & | operator+= (wchar_t)
const ON_wString & | operator+= (const char *sUTF8)
const ON_wString & | operator+= (const unsigned char *sUTF8)
const ON_wString & | operator+= (const wchar_t *)
ON_wString | operator+ (const ON_wString &) const
ON_wString | operator+ (const ON_String &sUTF8) const
ON_wString | operator+ (char) const
ON_wString | operator+ (unsigned char) const
ON_wString | operator+ (wchar_t) const
ON_wString | operator+ (const char *sUTF8) const
ON_wString | operator+ (const unsigned char *sUTF8) const
ON_wString | operator+ (const wchar_t *) const
bool | operator== (const ON_wString &) const
bool | operator== (const wchar_t *) const
bool | operator!= (const ON_wString &) const
bool | operator!= (const wchar_t *) const
bool | operator< (const ON_wString &) const
bool | operator< (const wchar_t *) const
bool | operator> (const ON_wString &) const
bool | operator> (const wchar_t *) const
bool | operator<= (const ON_wString &) const
bool | operator<= (const wchar_t *) const
bool | operator>= (const ON_wString &) const
bool | operator>= (const wchar_t *) const
int | Compare (const char *sUTF8) const
int | Compare (const unsigned char *sUTF8) const
int | Compare (const wchar_t *) const
int | CompareNoCase (const char *sUTF8) const
int | CompareNoCase (const unsigned char *sUTF8) const
int | CompareNoCase (const wchar_t *) const
bool | WildCardMatch (const wchar_t *) const
bool | WildCardMatchNoCase (const wchar_t *) const
int | Replace (const wchar_t *token1, const wchar_t *token2)
int | Replace (wchar_t token1, wchar_t token2)
void | UrlEncode ()
bool | UrlDecode ()
int | ReplaceWhiteSpace (wchar_t token, const wchar_t *whitespace=0)
int | RemoveWhiteSpace (const wchar_t *whitespace=0)
ON_wString | Mid (int, int) const
ON_wString | Mid (int) const
ON_wString | Left (int) const
ON_wString | Right (int) const
void | MakeUpper ()
void | MakeLower ()
void | MakeReverse ()
void | TrimLeft (const wchar_t *=NULL)
void | TrimRight (const wchar_t *=NULL)
void | TrimLeftAndRight (const wchar_t *=NULL)
int | Remove (wchar_t c)
int | Find (char) const
int | Find (unsigned char) const
int | Find (wchar_t) const
int | ReverseFind (char) const
int | ReverseFind (unsigned char) const
int | ReverseFind (wchar_t) const
int | Find (const char *) const
int | Find (const unsigned char *) const
int | Find (const wchar_t *) const
void ON_MSC_CDECL | Format (const char *,...)
void ON_MSC_CDECL | Format (const unsigned char *,...)
void ON_MSC_CDECL | Format (const wchar_t *,...)
void | ReserveArray (std::size_t)
void | ShrinkArray ()
void | SetLength (std::size_t)
wchar_t * | Array ()
const wchar_t * | Array () const
unsigned int | SizeOf () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON__UINT32 | DataCRCLower (ON__UINT32 current_remainder) const
| ~ON_wString ()

## Static Public Member Functions

static void | SplitPath (const char *path, ON_wString *drive, ON_wString *dir, ON_wString *fname, ON_wString *ext)
static void | SplitPath (const wchar_t *path, ON_wString *drive, ON_wString *dir, ON_wString *fname, ON_wString *ext)

## Protected Member Functions

struct ON_wStringHeader * | Header () const
void | CreateArray (int)
void | CopyArray ()
void | CopyToArray (const ON_wString &)
void | CopyToArray (int, const char *)
void | CopyToArray (int, const unsigned char *)
void | CopyToArray (int, const wchar_t *)
void | AppendToArray (const ON_wString &)
void | AppendToArray (int, const char *)
void | AppendToArray (int, const unsigned char *)
void | AppendToArray (int, const wchar_t *)

## Static Protected Member Functions

static int | Length (const char *)
static int | Length (const unsigned char *)
static int | Length (const wchar_t *)

## Protected Attributes

wchar_t * | m_s

## Detailed Description

Definition at line 700 of file opennurbs_string.h.

## Constructor & Destructor Documentation

## ON_wString() [1/12]

ON_wString::ON_wString | ( |  | ) |

Referenced by AppendToArray(), CopyToArray(), Left(), Mid(), Mid(), ON_wString(), operator!=(), operator+(), operator+(), operator+(), operator+(), operator+(), operator+(), operator+(), operator+(), operator+=(), operator+=(), operator+=(), operator+=(), operator+=(), operator+=(), operator+=(), operator+=(), operator<(), operator<=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator=(), operator==(), operator>(), operator>=(), Right(), SplitPath(), and SplitPath().

## ON_wString() [2/12]

ON_wString::ON_wString | ( | const ON_wString & |  | ) |

References ON_wString().

## ON_wString() [3/12]

ON_wString::ON_wString | ( | const ON_String & | src | ) |

## ON_wString() [4/12]

ON_wString::ON_wString | ( | const char * | src | ) |

## ON_wString() [5/12]

ON_wString::ON_wString | ( | const char * | src,
|  | int | )

## ON_wString() [6/12]

ON_wString::ON_wString | ( | char | ,
|  | int | = 1 )

## ON_wString() [7/12]

ON_wString::ON_wString | ( | const unsigned char * | src | ) |

## ON_wString() [8/12]

ON_wString::ON_wString | ( | const unsigned char * | src,
|  | int | )

## ON_wString() [9/12]

ON_wString::ON_wString | ( | unsigned char | ,
|  | int | = 1 )

## ON_wString() [10/12]

ON_wString::ON_wString | ( | const wchar_t * |  | ) |

## ON_wString() [11/12]

ON_wString::ON_wString | ( | const wchar_t * | ,
|  | int | )

## ON_wString() [12/12]

ON_wString::ON_wString | ( | wchar_t | ,
|  | int | = 1 )

## ~ON_wString()

ON_wString::~ON_wString | ( |  | ) |

## Member Function Documentation

## Append() [1/3]

void ON_wString::Append | ( | const char * | sUTF8,
|  | int | )

## Append() [2/3]

void ON_wString::Append | ( | const unsigned char * | sUTF8,
|  | int | )

## Append() [3/3]

void ON_wString::Append | ( | const wchar_t * | ,
|  | int | )

## AppendToArray() [1/4]

void ON_wString::AppendToArray | ( | const ON_wString & |  | ) |

protected

References ON_wString().

## AppendToArray() [2/4]

void ON_wString::AppendToArray | ( | int | ,
|  | const char * | )

protected

## AppendToArray() [3/4]

void ON_wString::AppendToArray | ( | int | ,
|  | const unsigned char * | )

protected

## AppendToArray() [4/4]

void ON_wString::AppendToArray | ( | int | ,
|  | const wchar_t * | )

protected

## Array() [1/2]

wchar_t * ON_wString::Array | ( |  | ) |

## Array() [2/2]

const wchar_t * ON_wString::Array | ( |  | ) | const

## Compare() [1/3]

int ON_wString::Compare | ( | const char * | sUTF8 | ) | const

## Compare() [2/3]

int ON_wString::Compare | ( | const unsigned char * | sUTF8 | ) | const

## Compare() [3/3]

int ON_wString::Compare | ( | const wchar_t * |  | ) | const

## CompareNoCase() [1/3]

int ON_wString::CompareNoCase | ( | const char * | sUTF8 | ) | const

## CompareNoCase() [2/3]

int ON_wString::CompareNoCase | ( | const unsigned char * | sUTF8 | ) | const

## CompareNoCase() [3/3]

int ON_wString::CompareNoCase | ( | const wchar_t * |  | ) | const

## CopyArray()

void ON_wString::CopyArray | ( |  | ) |

protected

## CopyToArray() [1/4]

void ON_wString::CopyToArray | ( | const ON_wString & |  | ) |

protected

References ON_wString().

## CopyToArray() [2/4]

void ON_wString::CopyToArray | ( | int | ,
|  | const char * | )

protected

## CopyToArray() [3/4]

void ON_wString::CopyToArray | ( | int | ,
|  | const unsigned char * | )

protected

## CopyToArray() [4/4]

void ON_wString::CopyToArray | ( | int | ,
|  | const wchar_t * | )

protected

## Create()

void ON_wString::Create | ( |  | ) |

## CreateArray()

void ON_wString::CreateArray | ( | int |  | ) |

protected

## DataCRC()

ON__UINT32 ON_wString::DataCRC | ( | ON__UINT32 | current_remainder | ) | const

## DataCRCLower()

ON__UINT32 ON_wString::DataCRCLower | ( | ON__UINT32 | current_remainder | ) | const

## Destroy()

void ON_wString::Destroy | ( |  | ) |

## EmergencyDestroy()

void ON_wString::EmergencyDestroy | ( |  | ) |

## Empty()

void ON_wString::Empty | ( |  | ) |

## EnableReferenceCounting()

void ON_wString::EnableReferenceCounting | ( | bool | bEnable | ) |

## Find() [1/6]

int ON_wString::Find | ( | char |  | ) | const

## Find() [2/6]

int ON_wString::Find | ( | const char * |  | ) | const

## Find() [3/6]

int ON_wString::Find | ( | const unsigned char * |  | ) | const

## Find() [4/6]

int ON_wString::Find | ( | const wchar_t * |  | ) | const

## Find() [5/6]

int ON_wString::Find | ( | unsigned char |  | ) | const

## Find() [6/6]

int ON_wString::Find | ( | wchar_t |  | ) | const

## Format() [1/3]

void ON_MSC_CDECL ON_wString::Format | ( | const char * | ,
|  |  | ... )

## Format() [2/3]

void ON_MSC_CDECL ON_wString::Format | ( | const unsigned char * | ,
|  |  | ... )

## Format() [3/3]

void ON_MSC_CDECL ON_wString::Format | ( | const wchar_t * | ,
|  |  | ... )

## GetAt()

wchar_t ON_wString::GetAt | ( | int |  | ) | const

## Header()

struct ON_wStringHeader * ON_wString::Header | ( |  | ) | const

protected

## IsEmpty()

bool ON_wString::IsEmpty | ( |  | ) | const

## IsReferenceCounted()

bool ON_wString::IsReferenceCounted | ( |  | ) | const

## Left()

ON_wString ON_wString::Left | ( | int |  | ) | const

References ON_wString().

## Length() [1/4]

int ON_wString::Length | ( |  | ) | const

## Length() [2/4]

int ON_wString::Length | ( | const char * |  | ) |

static protected

## Length() [3/4]

int ON_wString::Length | ( | const unsigned char * |  | ) |

static protected

## Length() [4/4]

int ON_wString::Length | ( | const wchar_t * |  | ) |

static protected

## MakeLower()

void ON_wString::MakeLower | ( |  | ) |

## MakeReverse()

void ON_wString::MakeReverse | ( |  | ) |

## MakeUpper()

void ON_wString::MakeUpper | ( |  | ) |

## Mid() [1/2]

ON_wString ON_wString::Mid | ( | int |  | ) | const

References ON_wString().

## Mid() [2/2]

ON_wString ON_wString::Mid | ( | int | ,
|  | int | ) const

References ON_wString().

## operator const wchar_t *()

ON_wString::operator const wchar_t * | ( |  | ) | const

## operator!=() [1/2]

bool ON_wString::operator!= | ( | const ON_wString & |  | ) | const

References ON_wString().

## operator!=() [2/2]

bool ON_wString::operator!= | ( | const wchar_t * |  | ) | const

## operator+() [1/8]

ON_wString ON_wString::operator+ | ( | char |  | ) | const

References ON_wString().

## operator+() [2/8]

ON_wString ON_wString::operator+ | ( | const char * | sUTF8 | ) | const

References ON_wString().

## operator+() [3/8]

ON_wString ON_wString::operator+ | ( | const ON_String & | sUTF8 | ) | const

References ON_wString().

## operator+() [4/8]

ON_wString ON_wString::operator+ | ( | const ON_wString & |  | ) | const

References ON_wString().

## operator+() [5/8]

ON_wString ON_wString::operator+ | ( | const unsigned char * | sUTF8 | ) | const

References ON_wString().

## operator+() [6/8]

ON_wString ON_wString::operator+ | ( | const wchar_t * |  | ) | const

References ON_wString().

## operator+() [7/8]

ON_wString ON_wString::operator+ | ( | unsigned char |  | ) | const

References ON_wString().

## operator+() [8/8]

ON_wString ON_wString::operator+ | ( | wchar_t |  | ) | const

References ON_wString().

## operator+=() [1/8]

const ON_wString & ON_wString::operator+= | ( | char |  | ) |

References ON_wString().

## operator+=() [2/8]

const ON_wString & ON_wString::operator+= | ( | const char * | sUTF8 | ) |

References ON_wString().

## operator+=() [3/8]

const ON_wString & ON_wString::operator+= | ( | const ON_String & | sUTF8 | ) |

References ON_wString().

## operator+=() [4/8]

const ON_wString & ON_wString::operator+= | ( | const ON_wString & |  | ) |

References ON_wString().

## operator+=() [5/8]

const ON_wString & ON_wString::operator+= | ( | const unsigned char * | sUTF8 | ) |

References ON_wString().

## operator+=() [6/8]

const ON_wString & ON_wString::operator+= | ( | const wchar_t * |  | ) |

References ON_wString().

## operator+=() [7/8]

const ON_wString & ON_wString::operator+= | ( | unsigned char |  | ) |

References ON_wString().

## operator+=() [8/8]

const ON_wString & ON_wString::operator+= | ( | wchar_t |  | ) |

References ON_wString().

## operator<() [1/2]

bool ON_wString::operator< | ( | const ON_wString & |  | ) | const

References ON_wString().

## operator<() [2/2]

bool ON_wString::operator< | ( | const wchar_t * |  | ) | const

## operator<=() [1/2]

bool ON_wString::operator<= | ( | const ON_wString & |  | ) | const

References ON_wString().

## operator<=() [2/2]

bool ON_wString::operator<= | ( | const wchar_t * |  | ) | const

## operator=() [1/8]

const ON_wString & ON_wString::operator= | ( | char |  | ) |

References ON_wString().

## operator=() [2/8]

const ON_wString & ON_wString::operator= | ( | const char * | src | ) |

References ON_wString().

## operator=() [3/8]

const ON_wString & ON_wString::operator= | ( | const ON_String & | src | ) |

References ON_wString().

## operator=() [4/8]

const ON_wString & ON_wString::operator= | ( | const ON_wString & |  | ) |

References ON_wString().

## operator=() [5/8]

const ON_wString & ON_wString::operator= | ( | const unsigned char * | src | ) |

References ON_wString().

## operator=() [6/8]

const ON_wString & ON_wString::operator= | ( | const wchar_t * |  | ) |

References ON_wString().

## operator=() [7/8]

const ON_wString & ON_wString::operator= | ( | unsigned char |  | ) |

References ON_wString().

## operator=() [8/8]

const ON_wString & ON_wString::operator= | ( | wchar_t |  | ) |

References ON_wString().

## operator==() [1/2]

bool ON_wString::operator== | ( | const ON_wString & |  | ) | const

References ON_wString().

## operator==() [2/2]

bool ON_wString::operator== | ( | const wchar_t * |  | ) | const

## operator>() [1/2]

bool ON_wString::operator> | ( | const ON_wString & |  | ) | const

References ON_wString().

## operator>() [2/2]

bool ON_wString::operator> | ( | const wchar_t * |  | ) | const

## operator>=() [1/2]

bool ON_wString::operator>= | ( | const ON_wString & |  | ) | const

References ON_wString().

## operator>=() [2/2]

bool ON_wString::operator>= | ( | const wchar_t * |  | ) | const

## operator[]() [1/2]

wchar_t & ON_wString::operator[] | ( | int |  | ) |

## operator[]() [2/2]

wchar_t ON_wString::operator[] | ( | int |  | ) | const

## Remove()

int ON_wString::Remove | ( | wchar_t | c | ) |

## RemoveWhiteSpace()

int ON_wString::RemoveWhiteSpace | ( | const wchar_t * | whitespace = 0 | ) |

## Replace() [1/2]

int ON_wString::Replace | ( | const wchar_t * | token1,
|  | const wchar_t * | token2 )

## Replace() [2/2]

int ON_wString::Replace | ( | wchar_t | token1,
|  | wchar_t | token2 )

## ReplaceWhiteSpace()

int ON_wString::ReplaceWhiteSpace | ( | wchar_t | token,
|  | const wchar_t * | whitespace = 0 )

## ReserveArray()

void ON_wString::ReserveArray | ( | std::size_t |  | ) |

## ReverseFind() [1/3]

int ON_wString::ReverseFind | ( | char |  | ) | const

## ReverseFind() [2/3]

int ON_wString::ReverseFind | ( | unsigned char |  | ) | const

## ReverseFind() [3/3]

int ON_wString::ReverseFind | ( | wchar_t |  | ) | const

## Right()

ON_wString ON_wString::Right | ( | int |  | ) | const

References ON_wString().

## SetAt() [1/3]

void ON_wString::SetAt | ( | int | ,
|  | char | )

## SetAt() [2/3]

void ON_wString::SetAt | ( | int | ,
|  | unsigned char | )

## SetAt() [3/3]

void ON_wString::SetAt | ( | int | ,
|  | wchar_t | )

## SetLength()

void ON_wString::SetLength | ( | std::size_t |  | ) |

## ShrinkArray()

void ON_wString::ShrinkArray | ( |  | ) |

## SizeOf()

unsigned int ON_wString::SizeOf | ( |  | ) | const

## SplitPath() [1/2]

void ON_wString::SplitPath | ( | const char * | path,
|  | ON_wString * | drive,
|  | ON_wString * | dir,
|  | ON_wString * | fname,
|  | ON_wString * | ext )

static

References ON_wString().

## SplitPath() [2/2]

void ON_wString::SplitPath | ( | const wchar_t * | path,
|  | ON_wString * | drive,
|  | ON_wString * | dir,
|  | ON_wString * | fname,
|  | ON_wString * | ext )

static

References ON_wString().

## TrimLeft()

void ON_wString::TrimLeft | ( | const wchar_t * | = NULL | ) |

## TrimLeftAndRight()

void ON_wString::TrimLeftAndRight | ( | const wchar_t * | = NULL | ) |

## TrimRight()

void ON_wString::TrimRight | ( | const wchar_t * | = NULL | ) |

## UrlDecode()

bool ON_wString::UrlDecode | ( |  | ) |

## UrlEncode()

void ON_wString::UrlEncode | ( |  | ) |

## WildCardMatch()

bool ON_wString::WildCardMatch | ( | const wchar_t * |  | ) | const

## WildCardMatchNoCase()

bool ON_wString::WildCardMatchNoCase | ( | const wchar_t * |  | ) | const

## Member Data Documentation

## m_s

wchar_t* ON_wString::m_s

protected

Definition at line 1048 of file opennurbs_string.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_string.h